package com.fanruan.api.report;

import com.fr.decision.webservice.v10.entry.ReportEntryService;

/**
 * @author Zed
 * @version 10.0
 * Created by Zed on 2020/12/14
 * 在平台挂查看FR模板的工具类
 */
public class ReportEntryKit {

    /**
     * 获取FR模板树
     *
     * @param currentUserId 当前用户id
     * @param keyword       keyword
     * @return 模板树
     * @throws Exception 异常
     */
    public static Object getReportTemplateTree(String currentUserId, String keyword) throws Exception {
        return ReportEntryService.getInstance().getReportTemplateTree(currentUserId, keyword);
    }
}
