package com.fanruan.api.conf;

import com.fr.config.Configuration;
import org.junit.Assert;
import org.junit.Test;

import java.lang.reflect.Method;
import java.util.Map;

/**
 * @author Zed
 * @version 10.0
 * Created by Zed on 2020/12/15
 */
public class ConfigurationKitTest {

    @Test
    public void update() throws Exception {

        Class<?> classBook = Class.forName("com.fanruan.api.conf.ConfigurationKit");
        Assert.assertNotNull(classBook);

        Method method1 = classBook.getDeclaredMethod("getConfig", Configuration.class);
        Assert.assertNotNull(method1);

        Method method2 = classBook.getDeclaredMethod("setConfig", Configuration.class, Map.class);
        Assert.assertNotNull(method2);
    }
}
