package com.fanruan.api.cluster.resource;

import com.fr.decision.fileserver.FineFileServer;
import com.fr.io.config.RepositoryConfig;

/**
 * 文件服务器Kit.
 * 
 * @author Dylan.Liu
 * @version 10.0
 * Created by Dylan.Liu on 2021/1/12
 */
public class FineFileServerKit {

    /**
     * 获取文件服务器当前配置.
     *
     * @return 文件服务器当前配置
     * @throws Exception 获取配置失败时异常
     */
    public static <T extends RepositoryConfig> T getRepoConfig() throws Exception {
        return FineFileServer.getInstance().getRepoConfig();
    }

}
